﻿using UnityEngine;
using Random = System.Random;
 
public class BubbleControl : MonoBehaviour
{
    [SerializeField] Sprite[] bursts;
    readonly Random rand = new Random();
    
    public void Burst()
    {
        GetComponent<SpriteRenderer>().sprite = bursts[rand.Next(0, bursts.Length)];
    }

    public void Destroy()
    {
        Destroy(transform.parent.gameObject);
    }
}
