﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CreateFloorAroundCamera : MonoBehaviour
{
    [SerializeField] Camera mainCamera;
    [SerializeField] float padding;
    Vector2 sizeCamera;
    
    void Start()
    {
        float orthographicSize = mainCamera.orthographicSize;
        sizeCamera = new Vector2(orthographicSize * Screen.width / Screen.height,
                                 orthographicSize);
        transform.localPosition = new Vector2(0, -sizeCamera.y - padding);
        transform.localScale = new Vector2(sizeCamera.x + padding, padding) * 2;
    }
}
