﻿using System.Collections;
using System.Collections.Generic;
using DefaultNamespace;
using UnityEngine;

public class FoodControl : MonoBehaviour
{
    public enum Foods
    {
        Cheese,
        Tomato,
        Cabbage
    }

    [SerializeField] Foods food;
    
    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.CompareTag("Player"))
        {
            other.GetComponent<PlayerController>().OnCollectedFood(food);
            GameObject.Find("TakeFood").GetComponent<AudioSource>().Play();
            Destroy(gameObject);
        }
    }
}
